singularity(1)

NAME

singularity-capability-add - Add capabilities to a user or group (requires root)

SYNOPSIS

singularity capability add [add options...]

DESCRIPTION

Add Linux capabilities to a user or group. NOTE: This command requires root to
  run.

The capabilities argument must be separated by commas and is not case
  sensitive.

To see available capabilities, type "singularity capability avail" or refer to
  capabilities manual "man 7 capabilities".

OPTIONS

-g, --group=""
    manage capabilities for a group

-h, --help[=false]
    help for add

-u, --user=""
    manage capabilities for a user

EXAMPLE
      $ sudo singularity capability add --user nobody AUDIT_READ,chown
      $ sudo singularity capability add --group nobody cap_audit_write
      To add all capabilities to a user:
      $ sudo singularity capability add --user nobody all

SEE ALSO

singularity-capability(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra